Bug 1011689 - [abrt] remmina-1.0.0-7.fc19: HandleRFBServerMessage: Process /usr/bin/remmina was killed by signal 8 (SIGFPE)
[abrt] remmina-1.0.0-7.fc19: HandleRFBServerMessage: Process /usr/bin/remmina...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:425d902c5e62259cf7b8bba5b7e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 16:47 EDT by Peter Mihaly Avramucz
Modified: 2014-08-18 05:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 05:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (176.80 KB, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: core_backtrace (13.16 KB, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: dso_list (11.67 KB, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: environ (1.53 KB, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: maps (60.57 KB, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: open_fds (1.32 KB, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details
File: var_log_messages (571 bytes, text/plain)
2013-09-24 16:48 EDT, Peter Mihaly Avramucz
no flags Details

  None (edit)
Description Peter Mihaly Avramucz 2013-09-24 16:47:55 EDT
Description of problem:
During normal usage (using mouse, clicking) remmina suddenly stopped.
Remote side is Windows 7 x86 + RealVNC 5.0.2 .

Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        remmina
crash_function: HandleRFBServerMessage
executable:     /usr/bin/remmina
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 HandleRFBServerMessage at rfbproto.c:1906
 #1 remmina_plugin_vnc_main_loop at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/vnc/vnc_plugin.c:1133
 #2 remmina_plugin_vnc_main at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/vnc/vnc_plugin.c:1309
 #3 remmina_plugin_vnc_main_thread at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/vnc/vnc_plugin.c:1329
 #5 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Potential duplicate: bug 873410
Comment 1 Peter Mihaly Avramucz 2013-09-24 16:48:04 EDT
Created attachment 802452 [details]
File: backtrace
Comment 2 Peter Mihaly Avramucz 2013-09-24 16:48:07 EDT
Created attachment 802453 [details]
File: cgroup
Comment 3 Peter Mihaly Avramucz 2013-09-24 16:48:12 EDT
Created attachment 802454 [details]
File: core_backtrace
Comment 4 Peter Mihaly Avramucz 2013-09-24 16:48:16 EDT
Created attachment 802455 [details]
File: dso_list
Comment 5 Peter Mihaly Avramucz 2013-09-24 16:48:18 EDT
Created attachment 802456 [details]
File: environ
Comment 6 Peter Mihaly Avramucz 2013-09-24 16:48:21 EDT
Created attachment 802457 [details]
File: limits
Comment 7 Peter Mihaly Avramucz 2013-09-24 16:48:25 EDT
Created attachment 802458 [details]
File: maps
Comment 8 Peter Mihaly Avramucz 2013-09-24 16:48:29 EDT
Created attachment 802459 [details]
File: open_fds
Comment 9 Peter Mihaly Avramucz 2013-09-24 16:48:32 EDT
Created attachment 802460 [details]
File: proc_pid_status
Comment 10 Peter Mihaly Avramucz 2013-09-24 16:48:35 EDT
Created attachment 802461 [details]
File: var_log_messages
Comment 11 Christoph Wickert 2014-05-22 07:35:25 EDT
Assigning bug to new package maintainer.
Comment 12 Pavel Alexeev 2014-08-18 05:17:44 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.